Stream pausing is broken

August 06, 2015 18:16 - Artem S. Tashkinov
Category: core Estimated time: 0.00 hour

Target version: 3.7   

Affects version: 3.7   

Description

This bug is actually ages old and even XMMS had it.

So, the problem is when you hit "pause" and then hit resume, then in some cases Audacious will resume the stream or switch to the

next track in a playlist.

There are two ways to deal with this issue:

1) When the user hits "Pause" Auadacity will continue reading the stream to a buffer and then play it on resume. This is actually bad

for many reasons: a) the user may leave his PC for hours or even days, and Audacity will consume all the RAM and crash

consequently b) the user may expect no traffic in case of "Pause" and such a behaviour is irrational and detrimental.

2) So, the best way to resume the stream will be to reset it.

History

#1 - August 07, 2015 03:08 - John Lindgren

- Status changed from New to Rejected

Pause is explicitly intended not to reset the stream.  If you want to reset the stream, use Stop instead.  Not a bug.

#2 - August 07, 2015 10:10 - Artem S. Tashkinov

I say that "pause" for streams does not work in Audacious at all, you say the user shouldn't press this button?

I smell some kind of brokenness here.

Maybe you should disable "pause" for streams altogether.

#3 - August 07, 2015 14:32 - John Lindgren

Pause works fine for short periods of time, which is all it's intended for.  We're not going to disable features just because some users abuse them.

#4 - August 07, 2015 23:33 - Artem S. Tashkinov

John Lindgren wrote:

Pause works fine for short periods of time, which is all it's intended for.  We're not going to disable features just because some users abuse

them.

 

How difficult is to try to restart the stream instead of jumping to the next playlist entry whenever the user paused for too long?

This is what this bug is about. Nothing more, nothing less.
#5 - September 28, 2020 09:37 - Bukaj Sytlos

I would like to revive this issue as I think it is really an issue.

Normal workflow is to pause and not stop. Even in integration with KDE music control you have play/pause, next/previous.

As Artem said, audacious should try to restart the stream if it cannot continue after pause and not jump around the playlist.

Thanks in advance to take this into consideration
